# translit.h File Reference

C++ API: Tranforms text from one format to another. More...

`#include "unicode/utypes.h"`
`#include "unicode/uobject.h"`
`#include "unicode/unistr.h"`
`#include "unicode/parseerr.h"`
`#include "unicode/utrans.h"`
`#include "unicode/strenum.h"`

Go to the source code of this file.

## Data Structures
class | Transliterator
| `Transliterator` is an abstract class that transliterates text from one format to another. More...
union | Transliterator::Token
| A context integer or pointer for a factory function, passed by value. More...

## Detailed Description

C++ API: Tranforms text from one format to another.

Definition in file translit.h.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines